# Contributing

> Everyone is welcome to submit a pull request. By participating in this project, you agree to abide by the code of conduct.

### Fork, then clone the repo:

  $ git clone git@github.com:your-username/redux_rails.git

#### Set up your machine:

  $ ./bin/setup

#### Make sure the tests pass:

  $ rake

#### Make your change. Add tests for your change. Make the tests pass:

  $ rake

#### Push to your fork and submit a pull request.

> At this point you're waiting on us. We like to at least comment on pull requests within three business days (and, typically, one business day). We may suggest some changes or improvements or alternatives.

#### Some things that will increase the chance that your pull request is accepted:

- Write tests.
- Write a good commit message.
